@if (componentData$ | async; as componentData) {
  <div class="full-height full-width flex-column">
    <div class="flex-row full-width">
      <div class="view-title" [attr.data-test-element-id]="'panel-title'">
        {{
          'sqtm-core.campaign-workspace.test-plan.launch-execution.history'
            | translate
        }}
      </div>
      <div class="flex-fixed-size font-32-px m-r-15">
        @if (componentData.execution.parentSprintStatus !== 'CLOSED') {
          <sqtm-core-toggle-icon
            [active]="canDeleteExecution$ | async"
            (clickedInActiveMode)="showMassDeleteExecutionDialog()"
            [attr.data-test-button-id]="'mass-delete-button'"
          >
            <i
              nz-icon
              nzType="sqtm-core-generic:delete"
              nzTheme="outline"
              nz-tooltip
              class="panel-buttons"
              [nzTooltipTitle]="
                'sqtm-core.campaign-workspace.test-plan-execution.execution-history.delete'
                  | translate
              "
              nzTooltipPlacement="bottom"
            ></i>
          </sqtm-core-toggle-icon>
        }
      </div>
    </div>
    <div class="full-height p-b-15 m-r-15">
      <div class="sqtm-large-grid-container full-width full-height p-15">
        <sqtm-core-grid class="full-width full-height"></sqtm-core-grid>
      </div>
    </div>
  </div>
}
